package com.steering.pss.judge.model;

/**
 * 数据库表PLN_SALEORD所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2018-11-22
 */
@SuppressWarnings("serial")
public class PlnSaleordEntity implements java.io.Serializable {
    /**
     * ORD_PK
     */
    private String ordPk = "";
    /**
     * ORD_LN_PK(ORD_PK+三位流水号)
     */
    private String ordLnPk = "";
    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     */
    private String ordLnDlyPk = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 交货编码
     */
    private String deliveryNo = "";
    /**
     * 销售分类(油井管;专业管;普管)
     */
    private String prdCls = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 外径
     */
    private String outdiameter = "";
    /**
     * 壁厚
     */
    private String wallthick = "";
    /**
     * 长度编码
     */
    private String lenNo = "";
    /**
     * 长度单位
     */
    private String lenUnit = "";
    /**
     * 最大长度
     */
    private String lengthmax = "";
    /**
     * 最小长度
     */
    private String lengthmin = "";
    /**
     * 长度描述
     */
    private String lengthdisc = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 订货计量单位
     */
    private String orderUnit = "";
    /**
     * 订货量
     */
    private String orderQty = "";
    /**
     * 估算量(支、吨)
     */
    private String orderweight = "";
    /**
     * 估算支数
     */
    private String ordernum = "";
    /**
     * 订货长度(保总长)
     */
    private String totlength = "";
    /**
     * 保总长单位
     */
    private String totlengthUnit = "";
    /**
     * 合同行交货量差方式（绝对值;百分比)
     */
    private String delvryRangeTpe = "";
    /**
     * 交货量差下限
     */
    private String delvryRangeMin = "";
    /**
     * 交货量差上限
     */
    private String delvryRangeMax = "";
    /**
     * 客户编号
     */
    private String buyerId = "";
    /**
     * 客户名称
     */
    private String buyerName = "";
    /**
     * 产品特殊要求描述（成分、理化、公差、探伤、水压、加工标准等）
     */
    private String orderSpecialDesc = "";
    /**
     * 合同附加要求编码
     */
    private String addAskNo = "";
    /**
     * 附加要求描述（(喷标、质保书、包装要求、保护帽、丝扣油等）
     */
    private String orderAddDesc = "";
    /**
     * 附加要求分类状态
     */
    private String askTypeStatus = "";
    /**
     * 合同来源
     */
    private String orderfrom = "";
    /**
     * 最终用户(来源客户表)
     */
    private String finalUser = "";
    /**
     * 最终用户描述
     */
    private String finalUserDesc = "";
    /**
     * 交货结束日期
     */
    private String delvryEdate = "";
    /**
     * 合同联系人
     */
    private String ordercontact = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 公差标准
     */
    private String specstandard = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 合同紧急度
     */
    private String priority = "";
    /**
     * 紧急度备注
     */
    private String priorityMemo = "";
    /**
     * 合同状态(0待接收,1已接收,2已下发,3生产中,4生产完成,5缴库完成,6发运完毕,7结算完毕,8合同关闭)
     */
    private String porderstatus = "";
    /**
     * 产品规范码
     */
    private String psc = "";
    /**
     * 冶金规范码
     */
    private String msc = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 短节备料码
     */
    private String codeDjBl = "";
    /**
     * 计划缴库量（原排产量）
     */
    private String planweight = "";
    /**
     * 已缴库量
     */
    private String paydownweight = "";
    /**
     * 已缴库支数
     */
    private String paydownNum = "";
    /**
     * 提报人
     */
    private String createName = "";
    /**
     * 提报时间
     */
    private String createTime = "";
    /**
     * 接收人
     */
    private String updateName = "";
    /**
     * 接收时间
     */
    private String updateTime = "";
    /**
     * 末工序名
     */
    private String endgxname = "";
    /**
     * 组合类型(0不需配箍/1需配箍/2需短节和箍/3管坯)
     */
    private String mergetype = "";
    /**
     * 监制文件是否完整（是否监制）
     */
    private String jzFileIfAll = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 排产月份
     */
    private String rollMonth = "";
    /**
     * 轧管产能井月
     */
    private String rollWellMonth = "";
    /**
     * 成品物料编码
     */
    private String materialNo = "";
    /**
     * 成品物料描述
     */
    private String materialDesc = "";
    /**
     * 短节备料组号
     */
    private String blGroupNum = "";
    /**
     * 短尺率(%)
     */
    private String shrtLenRato = "";
    /**
     * 短尺最短
     */
    private String shortest = "";
    /**
     * 长尺率(%)
     */
    private String longLenRato = "";
    /**
     * 长尺最长
     */
    private String longest = "";
    /**
     * 短尺随炉
     */
    private String shrtStove = "";
    /**
     * 平均长度大于
     */
    private String avgLenMin = "";
    /**
     * 最长最短差小于
     */
    private String difrncLenMax = "";
    /**
     * 单倍尺长
     */
    private String siglLen = "";
    /**
     * 成品长度公差（单倍尺长专用）
     */
    private String endlenSpecstd = "";
    /**
     * 到站编码
     */
    private String stationNo = "";
    /**
     * 到站名称
     */
    private String stationNm = "";
    /**
     * 生产分类
     */
    private String produceSort = "";
    /**
     * 用途码
     */
    private String useCode = "";
    /**
     * 用途码描述
     */
    private String useDesc = "";
    /**
     * 米单重
     */
    private String weightPerM = "";
    /**
     * 保米长
     */
    private String totlengthM = "";
    /**
     * 外购坯(COM_BASE_INFO:1218)
     */
    private String outsBilletFl = "";
    /**
     * 外购管(COM_BASE_INFO:1219)
     */
    private String outsStlPipeFl = "";
    /**
     * 管属性（无缝、焊缝、扩管、冷轧、冷拔）
     */
    private String pipeProperty = "";
    /**
     * 下限轧管加长
     */
    private String lenToendMin = "";
    /**
     * 上限轧管加长
     */
    private String lenToendMax = "";
    /**
     * 高温炉温度热处理
     */
    private String tempHtcast = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 接箍长度
     */
    private String lengthJg = "";
    /**
     * 计重方式（理重/实重）
     */
    private String weighType = "";
    /**
     * 运输方式('1105')
     */
    private String transitTyp = "";
    /**
     * 接收版本号
     */
    private String acceptNo = "";
    /**
     * 接箍合同是否形成(0,否，1,是，2，无)
     */
    private String jgordIsOk = "";
    /**
     * 接箍料需求是否制订(0,否，1,是，2，无)
     */
    private String jglReqIsOk = "";
    /**
     * 短节备料是否制订(0,否，1,是，2，无)
     */
    private String djblReqIsOk = "";
    /**
     * 标准类别描述
     */
    private String stdStyleDesc = "";
    /**
     * 交货标准壁厚公差下限(%)
     */
    private String heightOrdMin = "";
    /**
     * 交货标准壁厚公差上限(%)
     */
    private String heightOrdMax = "";
    /**
     * 原交货行量（记录）
     */
    private String delvryQty = "";
    /**
     * 利库支（记录用）
     */
    private String chargeNum = "";
    /**
     * 利库重（记录用）
     */
    private String chargeWgt = "";
    /**
     * 利库长（记录用）
     */
    private String chargeLen = "";
    /**
     * 脱单支（记录用）
     */
    private String elimNum = "";
    /**
     * 脱单重（记录用）
     */
    private String elimWgt = "";
    /**
     * 脱单长（记录用）
     */
    private String elimLen = "";
    /**
     * 缴库量下限
     */
    private String paydownWtMin = "";
    /**
     * 缴库量上限
     */
    private String paydownWtMax = "";
    /**
     * 导入工艺文件号
     */
    private String craftFileNoIn = "";
    /**
     * 导入工艺文件责任人
     */
    private String craftFileManIn = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 是否销售冻结
     */
    private String ifSaleFreeze = "";
    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     */
    private String craftNoV = "";
    /**
     * 是否最后交货行
     */
    private String isEndDly = "";
    /**
     * 是否回退合同
     */
    private String isBackord = "";
    /**
     * 合同分类（1销售提报合同2备料需求）
     */
    private String orderType = "";
    /**
     * 交货标准外径公差下限（%）
     */
    private String outdOrdMin = "";
    /**
     * 交货标准外径公差上限（%）
     */
    private String outdOrdMax = "";
    /**
     * 推荐长度描述
     */
    private String lengthdiscN = "";
    /**
     * 推荐长度编码
     */
    private String lenNoN = "";

    /**
     * ORD_PK
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * ORD_PK
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流水号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流水号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 销售分类(油井管;专业管;普管)
     * @return value
     */
    public String getPrdCls() {
        return prdCls;
    }

    /**
     * 销售分类(油井管;专业管;普管)
     * @param prdCls value
     */
    public void setPrdCls(String prdCls) {
        this.prdCls = prdCls;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 长度编码
     * @return value
     */
    public String getLenNo() {
        return lenNo;
    }

    /**
     * 长度编码
     * @param lenNo value
     */
    public void setLenNo(String lenNo) {
        this.lenNo = lenNo;
    }

    /**
     * 长度单位
     * @return value
     */
    public String getLenUnit() {
        return lenUnit;
    }

    /**
     * 长度单位
     * @param lenUnit value
     */
    public void setLenUnit(String lenUnit) {
        this.lenUnit = lenUnit;
    }

    /**
     * 最大长度
     * @return value
     */
    public String getLengthmax() {
        return lengthmax;
    }

    /**
     * 最大长度
     * @param lengthmax value
     */
    public void setLengthmax(String lengthmax) {
        this.lengthmax = lengthmax;
    }

    /**
     * 最小长度
     * @return value
     */
    public String getLengthmin() {
        return lengthmin;
    }

    /**
     * 最小长度
     * @param lengthmin value
     */
    public void setLengthmin(String lengthmin) {
        this.lengthmin = lengthmin;
    }

    /**
     * 长度描述
     * @return value
     */
    public String getLengthdisc() {
        return lengthdisc;
    }

    /**
     * 长度描述
     * @param lengthdisc value
     */
    public void setLengthdisc(String lengthdisc) {
        this.lengthdisc = lengthdisc;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 订货计量单位
     * @return value
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 订货计量单位
     * @param orderUnit value
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 订货量
     * @return value
     */
    public String getOrderQty() {
        return orderQty;
    }

    /**
     * 订货量
     * @param orderQty value
     */
    public void setOrderQty(String orderQty) {
        this.orderQty = orderQty;
    }

    /**
     * 估算量(支、吨)
     * @return value
     */
    public String getOrderweight() {
        return orderweight;
    }

    /**
     * 估算量(支、吨)
     * @param orderweight value
     */
    public void setOrderweight(String orderweight) {
        this.orderweight = orderweight;
    }

    /**
     * 估算支数
     * @return value
     */
    public String getOrdernum() {
        return ordernum;
    }

    /**
     * 估算支数
     * @param ordernum value
     */
    public void setOrdernum(String ordernum) {
        this.ordernum = ordernum;
    }

    /**
     * 订货长度(保总长)
     * @return value
     */
    public String getTotlength() {
        return totlength;
    }

    /**
     * 订货长度(保总长)
     * @param totlength value
     */
    public void setTotlength(String totlength) {
        this.totlength = totlength;
    }

    /**
     * 保总长单位
     * @return value
     */
    public String getTotlengthUnit() {
        return totlengthUnit;
    }

    /**
     * 保总长单位
     * @param totlengthUnit value
     */
    public void setTotlengthUnit(String totlengthUnit) {
        this.totlengthUnit = totlengthUnit;
    }

    /**
     * 合同行交货量差方式（绝对值;百分比)
     * @return value
     */
    public String getDelvryRangeTpe() {
        return delvryRangeTpe;
    }

    /**
     * 合同行交货量差方式（绝对值;百分比)
     * @param delvryRangeTpe value
     */
    public void setDelvryRangeTpe(String delvryRangeTpe) {
        this.delvryRangeTpe = delvryRangeTpe;
    }

    /**
     * 交货量差下限
     * @return value
     */
    public String getDelvryRangeMin() {
        return delvryRangeMin;
    }

    /**
     * 交货量差下限
     * @param delvryRangeMin value
     */
    public void setDelvryRangeMin(String delvryRangeMin) {
        this.delvryRangeMin = delvryRangeMin;
    }

    /**
     * 交货量差上限
     * @return value
     */
    public String getDelvryRangeMax() {
        return delvryRangeMax;
    }

    /**
     * 交货量差上限
     * @param delvryRangeMax value
     */
    public void setDelvryRangeMax(String delvryRangeMax) {
        this.delvryRangeMax = delvryRangeMax;
    }

    /**
     * 客户编号
     * @return value
     */
    public String getBuyerId() {
        return buyerId;
    }

    /**
     * 客户编号
     * @param buyerId value
     */
    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getBuyerName() {
        return buyerName;
    }

    /**
     * 客户名称
     * @param buyerName value
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 产品特殊要求描述（成分、理化、公差、探伤、水压、加工标准等）
     * @return value
     */
    public String getOrderSpecialDesc() {
        return orderSpecialDesc;
    }

    /**
     * 产品特殊要求描述（成分、理化、公差、探伤、水压、加工标准等）
     * @param orderSpecialDesc value
     */
    public void setOrderSpecialDesc(String orderSpecialDesc) {
        this.orderSpecialDesc = orderSpecialDesc;
    }

    /**
     * 合同附加要求编码
     * @return value
     */
    public String getAddAskNo() {
        return addAskNo;
    }

    /**
     * 合同附加要求编码
     * @param addAskNo value
     */
    public void setAddAskNo(String addAskNo) {
        this.addAskNo = addAskNo;
    }

    /**
     * 附加要求描述（(喷标、质保书、包装要求、保护帽、丝扣油等）
     * @return value
     */
    public String getOrderAddDesc() {
        return orderAddDesc;
    }

    /**
     * 附加要求描述（(喷标、质保书、包装要求、保护帽、丝扣油等）
     * @param orderAddDesc value
     */
    public void setOrderAddDesc(String orderAddDesc) {
        this.orderAddDesc = orderAddDesc;
    }

    /**
     * 附加要求分类状态
     * @return value
     */
    public String getAskTypeStatus() {
        return askTypeStatus;
    }

    /**
     * 附加要求分类状态
     * @param askTypeStatus value
     */
    public void setAskTypeStatus(String askTypeStatus) {
        this.askTypeStatus = askTypeStatus;
    }

    /**
     * 合同来源
     * @return value
     */
    public String getOrderfrom() {
        return orderfrom;
    }

    /**
     * 合同来源
     * @param orderfrom value
     */
    public void setOrderfrom(String orderfrom) {
        this.orderfrom = orderfrom;
    }

    /**
     * 最终用户(来源客户表)
     * @return value
     */
    public String getFinalUser() {
        return finalUser;
    }

    /**
     * 最终用户(来源客户表)
     * @param finalUser value
     */
    public void setFinalUser(String finalUser) {
        this.finalUser = finalUser;
    }

    /**
     * 最终用户描述
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 最终用户描述
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 交货结束日期
     * @return value
     */
    public String getDelvryEdate() {
        return delvryEdate;
    }

    /**
     * 交货结束日期
     * @param delvryEdate value
     */
    public void setDelvryEdate(String delvryEdate) {
        this.delvryEdate = delvryEdate;
    }

    /**
     * 合同联系人
     * @return value
     */
    public String getOrdercontact() {
        return ordercontact;
    }

    /**
     * 合同联系人
     * @param ordercontact value
     */
    public void setOrdercontact(String ordercontact) {
        this.ordercontact = ordercontact;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 公差标准
     * @return value
     */
    public String getSpecstandard() {
        return specstandard;
    }

    /**
     * 公差标准
     * @param specstandard value
     */
    public void setSpecstandard(String specstandard) {
        this.specstandard = specstandard;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 合同紧急度
     * @return value
     */
    public String getPriority() {
        return priority;
    }

    /**
     * 合同紧急度
     * @param priority value
     */
    public void setPriority(String priority) {
        this.priority = priority;
    }

    /**
     * 紧急度备注
     * @return value
     */
    public String getPriorityMemo() {
        return priorityMemo;
    }

    /**
     * 紧急度备注
     * @param priorityMemo value
     */
    public void setPriorityMemo(String priorityMemo) {
        this.priorityMemo = priorityMemo;
    }

    /**
     * 合同状态(0待接收,1已接收,2已下发,3生产中,4生产完成,5缴库完成,6发运完毕,7结算完毕,8合同关闭)
     * @return value
     */
    public String getPorderstatus() {
        return porderstatus;
    }

    /**
     * 合同状态(0待接收,1已接收,2已下发,3生产中,4生产完成,5缴库完成,6发运完毕,7结算完毕,8合同关闭)
     * @param porderstatus value
     */
    public void setPorderstatus(String porderstatus) {
        this.porderstatus = porderstatus;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 短节备料码
     * @return value
     */
    public String getCodeDjBl() {
        return codeDjBl;
    }

    /**
     * 短节备料码
     * @param codeDjBl value
     */
    public void setCodeDjBl(String codeDjBl) {
        this.codeDjBl = codeDjBl;
    }

    /**
     * 计划缴库量（原排产量）
     * @return value
     */
    public String getPlanweight() {
        return planweight;
    }

    /**
     * 计划缴库量（原排产量）
     * @param planweight value
     */
    public void setPlanweight(String planweight) {
        this.planweight = planweight;
    }

    /**
     * 已缴库量
     * @return value
     */
    public String getPaydownweight() {
        return paydownweight;
    }

    /**
     * 已缴库量
     * @param paydownweight value
     */
    public void setPaydownweight(String paydownweight) {
        this.paydownweight = paydownweight;
    }

    /**
     * 已缴库支数
     * @return value
     */
    public String getPaydownNum() {
        return paydownNum;
    }

    /**
     * 已缴库支数
     * @param paydownNum value
     */
    public void setPaydownNum(String paydownNum) {
        this.paydownNum = paydownNum;
    }

    /**
     * 提报人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 提报人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 提报时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 提报时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 接收人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 接收人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 接收时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 接收时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 末工序名
     * @return value
     */
    public String getEndgxname() {
        return endgxname;
    }

    /**
     * 末工序名
     * @param endgxname value
     */
    public void setEndgxname(String endgxname) {
        this.endgxname = endgxname;
    }

    /**
     * 组合类型(0不需配箍/1需配箍/2需短节和箍/3管坯)
     * @return value
     */
    public String getMergetype() {
        return mergetype;
    }

    /**
     * 组合类型(0不需配箍/1需配箍/2需短节和箍/3管坯)
     * @param mergetype value
     */
    public void setMergetype(String mergetype) {
        this.mergetype = mergetype;
    }

    /**
     * 监制文件是否完整（是否监制）
     * @return value
     */
    public String getJzFileIfAll() {
        return jzFileIfAll;
    }

    /**
     * 监制文件是否完整（是否监制）
     * @param jzFileIfAll value
     */
    public void setJzFileIfAll(String jzFileIfAll) {
        this.jzFileIfAll = jzFileIfAll;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 排产月份
     * @return value
     */
    public String getRollMonth() {
        return rollMonth;
    }

    /**
     * 排产月份
     * @param rollMonth value
     */
    public void setRollMonth(String rollMonth) {
        this.rollMonth = rollMonth;
    }

    /**
     * 轧管产能井月
     * @return value
     */
    public String getRollWellMonth() {
        return rollWellMonth;
    }

    /**
     * 轧管产能井月
     * @param rollWellMonth value
     */
    public void setRollWellMonth(String rollWellMonth) {
        this.rollWellMonth = rollWellMonth;
    }

    /**
     * 成品物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 成品物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 成品物料描述
     * @return value
     */
    public String getMaterialDesc() {
        return materialDesc;
    }

    /**
     * 成品物料描述
     * @param materialDesc value
     */
    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    /**
     * 短节备料组号
     * @return value
     */
    public String getBlGroupNum() {
        return blGroupNum;
    }

    /**
     * 短节备料组号
     * @param blGroupNum value
     */
    public void setBlGroupNum(String blGroupNum) {
        this.blGroupNum = blGroupNum;
    }

    /**
     * 短尺率(%)
     * @return value
     */
    public String getShrtLenRato() {
        return shrtLenRato;
    }

    /**
     * 短尺率(%)
     * @param shrtLenRato value
     */
    public void setShrtLenRato(String shrtLenRato) {
        this.shrtLenRato = shrtLenRato;
    }

    /**
     * 短尺最短
     * @return value
     */
    public String getShortest() {
        return shortest;
    }

    /**
     * 短尺最短
     * @param shortest value
     */
    public void setShortest(String shortest) {
        this.shortest = shortest;
    }

    /**
     * 长尺率(%)
     * @return value
     */
    public String getLongLenRato() {
        return longLenRato;
    }

    /**
     * 长尺率(%)
     * @param longLenRato value
     */
    public void setLongLenRato(String longLenRato) {
        this.longLenRato = longLenRato;
    }

    /**
     * 长尺最长
     * @return value
     */
    public String getLongest() {
        return longest;
    }

    /**
     * 长尺最长
     * @param longest value
     */
    public void setLongest(String longest) {
        this.longest = longest;
    }

    /**
     * 短尺随炉
     * @return value
     */
    public String getShrtStove() {
        return shrtStove;
    }

    /**
     * 短尺随炉
     * @param shrtStove value
     */
    public void setShrtStove(String shrtStove) {
        this.shrtStove = shrtStove;
    }

    /**
     * 平均长度大于
     * @return value
     */
    public String getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     * @param avgLenMin value
     */
    public void setAvgLenMin(String avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 最长最短差小于
     * @return value
     */
    public String getDifrncLenMax() {
        return difrncLenMax;
    }

    /**
     * 最长最短差小于
     * @param difrncLenMax value
     */
    public void setDifrncLenMax(String difrncLenMax) {
        this.difrncLenMax = difrncLenMax;
    }

    /**
     * 单倍尺长
     * @return value
     */
    public String getSiglLen() {
        return siglLen;
    }

    /**
     * 单倍尺长
     * @param siglLen value
     */
    public void setSiglLen(String siglLen) {
        this.siglLen = siglLen;
    }

    /**
     * 成品长度公差（单倍尺长专用）
     * @return value
     */
    public String getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品长度公差（单倍尺长专用）
     * @param endlenSpecstd value
     */
    public void setEndlenSpecstd(String endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 到站编码
     * @return value
     */
    public String getStationNo() {
        return stationNo;
    }

    /**
     * 到站编码
     * @param stationNo value
     */
    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    /**
     * 到站名称
     * @return value
     */
    public String getStationNm() {
        return stationNm;
    }

    /**
     * 到站名称
     * @param stationNm value
     */
    public void setStationNm(String stationNm) {
        this.stationNm = stationNm;
    }

    /**
     * 生产分类
     * @return value
     */
    public String getProduceSort() {
        return produceSort;
    }

    /**
     * 生产分类
     * @param produceSort value
     */
    public void setProduceSort(String produceSort) {
        this.produceSort = produceSort;
    }

    /**
     * 用途码
     * @return value
     */
    public String getUseCode() {
        return useCode;
    }

    /**
     * 用途码
     * @param useCode value
     */
    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    /**
     * 用途码描述
     * @return value
     */
    public String getUseDesc() {
        return useDesc;
    }

    /**
     * 用途码描述
     * @param useDesc value
     */
    public void setUseDesc(String useDesc) {
        this.useDesc = useDesc;
    }

    /**
     * 米单重
     * @return value
     */
    public String getWeightPerM() {
        return weightPerM;
    }

    /**
     * 米单重
     * @param weightPerM value
     */
    public void setWeightPerM(String weightPerM) {
        this.weightPerM = weightPerM;
    }

    /**
     * 保米长
     * @return value
     */
    public String getTotlengthM() {
        return totlengthM;
    }

    /**
     * 保米长
     * @param totlengthM value
     */
    public void setTotlengthM(String totlengthM) {
        this.totlengthM = totlengthM;
    }

    /**
     * 外购坯(COM_BASE_INFO:1218)
     * @return value
     */
    public String getOutsBilletFl() {
        return outsBilletFl;
    }

    /**
     * 外购坯(COM_BASE_INFO:1218)
     * @param outsBilletFl value
     */
    public void setOutsBilletFl(String outsBilletFl) {
        this.outsBilletFl = outsBilletFl;
    }

    /**
     * 外购管(COM_BASE_INFO:1219)
     * @return value
     */
    public String getOutsStlPipeFl() {
        return outsStlPipeFl;
    }

    /**
     * 外购管(COM_BASE_INFO:1219)
     * @param outsStlPipeFl value
     */
    public void setOutsStlPipeFl(String outsStlPipeFl) {
        this.outsStlPipeFl = outsStlPipeFl;
    }

    /**
     * 管属性（无缝、焊缝、扩管、冷轧、冷拔）
     * @return value
     */
    public String getPipeProperty() {
        return pipeProperty;
    }

    /**
     * 管属性（无缝、焊缝、扩管、冷轧、冷拔）
     * @param pipeProperty value
     */
    public void setPipeProperty(String pipeProperty) {
        this.pipeProperty = pipeProperty;
    }

    /**
     * 下限轧管加长
     * @return value
     */
    public String getLenToendMin() {
        return lenToendMin;
    }

    /**
     * 下限轧管加长
     * @param lenToendMin value
     */
    public void setLenToendMin(String lenToendMin) {
        this.lenToendMin = lenToendMin;
    }

    /**
     * 上限轧管加长
     * @return value
     */
    public String getLenToendMax() {
        return lenToendMax;
    }

    /**
     * 上限轧管加长
     * @param lenToendMax value
     */
    public void setLenToendMax(String lenToendMax) {
        this.lenToendMax = lenToendMax;
    }

    /**
     * 高温炉温度热处理
     * @return value
     */
    public String getTempHtcast() {
        return tempHtcast;
    }

    /**
     * 高温炉温度热处理
     * @param tempHtcast value
     */
    public void setTempHtcast(String tempHtcast) {
        this.tempHtcast = tempHtcast;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 接箍长度
     * @return value
     */
    public String getLengthJg() {
        return lengthJg;
    }

    /**
     * 接箍长度
     * @param lengthJg value
     */
    public void setLengthJg(String lengthJg) {
        this.lengthJg = lengthJg;
    }

    /**
     * 计重方式（理重/实重）
     * @return value
     */
    public String getWeighType() {
        return weighType;
    }

    /**
     * 计重方式（理重/实重）
     * @param weighType value
     */
    public void setWeighType(String weighType) {
        this.weighType = weighType;
    }

    /**
     * 运输方式('1105')
     * @return value
     */
    public String getTransitTyp() {
        return transitTyp;
    }

    /**
     * 运输方式('1105')
     * @param transitTyp value
     */
    public void setTransitTyp(String transitTyp) {
        this.transitTyp = transitTyp;
    }

    /**
     * 接收版本号
     * @return value
     */
    public String getAcceptNo() {
        return acceptNo;
    }

    /**
     * 接收版本号
     * @param acceptNo value
     */
    public void setAcceptNo(String acceptNo) {
        this.acceptNo = acceptNo;
    }

    /**
     * 接箍合同是否形成(0,否，1,是，2，无)
     * @return value
     */
    public String getJgordIsOk() {
        return jgordIsOk;
    }

    /**
     * 接箍合同是否形成(0,否，1,是，2，无)
     * @param jgordIsOk value
     */
    public void setJgordIsOk(String jgordIsOk) {
        this.jgordIsOk = jgordIsOk;
    }

    /**
     * 接箍料需求是否制订(0,否，1,是，2，无)
     * @return value
     */
    public String getJglReqIsOk() {
        return jglReqIsOk;
    }

    /**
     * 接箍料需求是否制订(0,否，1,是，2，无)
     * @param jglReqIsOk value
     */
    public void setJglReqIsOk(String jglReqIsOk) {
        this.jglReqIsOk = jglReqIsOk;
    }

    /**
     * 短节备料是否制订(0,否，1,是，2，无)
     * @return value
     */
    public String getDjblReqIsOk() {
        return djblReqIsOk;
    }

    /**
     * 短节备料是否制订(0,否，1,是，2，无)
     * @param djblReqIsOk value
     */
    public void setDjblReqIsOk(String djblReqIsOk) {
        this.djblReqIsOk = djblReqIsOk;
    }

    /**
     * 标准类别描述
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 交货标准壁厚公差下限(%)
     * @return value
     */
    public String getHeightOrdMin() {
        return heightOrdMin;
    }

    /**
     * 交货标准壁厚公差下限(%)
     * @param heightOrdMin value
     */
    public void setHeightOrdMin(String heightOrdMin) {
        this.heightOrdMin = heightOrdMin;
    }

    /**
     * 交货标准壁厚公差上限(%)
     * @return value
     */
    public String getHeightOrdMax() {
        return heightOrdMax;
    }

    /**
     * 交货标准壁厚公差上限(%)
     * @param heightOrdMax value
     */
    public void setHeightOrdMax(String heightOrdMax) {
        this.heightOrdMax = heightOrdMax;
    }

    /**
     * 原交货行量（记录）
     * @return value
     */
    public String getDelvryQty() {
        return delvryQty;
    }

    /**
     * 原交货行量（记录）
     * @param delvryQty value
     */
    public void setDelvryQty(String delvryQty) {
        this.delvryQty = delvryQty;
    }

    /**
     * 利库支（记录用）
     * @return value
     */
    public String getChargeNum() {
        return chargeNum;
    }

    /**
     * 利库支（记录用）
     * @param chargeNum value
     */
    public void setChargeNum(String chargeNum) {
        this.chargeNum = chargeNum;
    }

    /**
     * 利库重（记录用）
     * @return value
     */
    public String getChargeWgt() {
        return chargeWgt;
    }

    /**
     * 利库重（记录用）
     * @param chargeWgt value
     */
    public void setChargeWgt(String chargeWgt) {
        this.chargeWgt = chargeWgt;
    }

    /**
     * 利库长（记录用）
     * @return value
     */
    public String getChargeLen() {
        return chargeLen;
    }

    /**
     * 利库长（记录用）
     * @param chargeLen value
     */
    public void setChargeLen(String chargeLen) {
        this.chargeLen = chargeLen;
    }

    /**
     * 脱单支（记录用）
     * @return value
     */
    public String getElimNum() {
        return elimNum;
    }

    /**
     * 脱单支（记录用）
     * @param elimNum value
     */
    public void setElimNum(String elimNum) {
        this.elimNum = elimNum;
    }

    /**
     * 脱单重（记录用）
     * @return value
     */
    public String getElimWgt() {
        return elimWgt;
    }

    /**
     * 脱单重（记录用）
     * @param elimWgt value
     */
    public void setElimWgt(String elimWgt) {
        this.elimWgt = elimWgt;
    }

    /**
     * 脱单长（记录用）
     * @return value
     */
    public String getElimLen() {
        return elimLen;
    }

    /**
     * 脱单长（记录用）
     * @param elimLen value
     */
    public void setElimLen(String elimLen) {
        this.elimLen = elimLen;
    }

    /**
     * 缴库量下限
     * @return value
     */
    public String getPaydownWtMin() {
        return paydownWtMin;
    }

    /**
     * 缴库量下限
     * @param paydownWtMin value
     */
    public void setPaydownWtMin(String paydownWtMin) {
        this.paydownWtMin = paydownWtMin;
    }

    /**
     * 缴库量上限
     * @return value
     */
    public String getPaydownWtMax() {
        return paydownWtMax;
    }

    /**
     * 缴库量上限
     * @param paydownWtMax value
     */
    public void setPaydownWtMax(String paydownWtMax) {
        this.paydownWtMax = paydownWtMax;
    }

    /**
     * 导入工艺文件号
     * @return value
     */
    public String getCraftFileNoIn() {
        return craftFileNoIn;
    }

    /**
     * 导入工艺文件号
     * @param craftFileNoIn value
     */
    public void setCraftFileNoIn(String craftFileNoIn) {
        this.craftFileNoIn = craftFileNoIn;
    }

    /**
     * 导入工艺文件责任人
     * @return value
     */
    public String getCraftFileManIn() {
        return craftFileManIn;
    }

    /**
     * 导入工艺文件责任人
     * @param craftFileManIn value
     */
    public void setCraftFileManIn(String craftFileManIn) {
        this.craftFileManIn = craftFileManIn;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 是否销售冻结
     * @return value
     */
    public String getIfSaleFreeze() {
        return ifSaleFreeze;
    }

    /**
     * 是否销售冻结
     * @param ifSaleFreeze value
     */
    public void setIfSaleFreeze(String ifSaleFreeze) {
        this.ifSaleFreeze = ifSaleFreeze;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @return value
     */
    public String getCraftNoV() {
        return craftNoV;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @param craftNoV value
     */
    public void setCraftNoV(String craftNoV) {
        this.craftNoV = craftNoV;
    }

    /**
     * 是否最后交货行
     * @return value
     */
    public String getIsEndDly() {
        return isEndDly;
    }

    /**
     * 是否最后交货行
     * @param isEndDly value
     */
    public void setIsEndDly(String isEndDly) {
        this.isEndDly = isEndDly;
    }

    /**
     * 是否回退合同
     * @return value
     */
    public String getIsBackord() {
        return isBackord;
    }

    /**
     * 是否回退合同
     * @param isBackord value
     */
    public void setIsBackord(String isBackord) {
        this.isBackord = isBackord;
    }

    /**
     * 合同分类（1销售提报合同2备料需求）
     * @return value
     */
    public String getOrderType() {
        return orderType;
    }

    /**
     * 合同分类（1销售提报合同2备料需求）
     * @param orderType value
     */
    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    /**
     * 交货标准外径公差下限（%）
     * @return value
     */
    public String getOutdOrdMin() {
        return outdOrdMin;
    }

    /**
     * 交货标准外径公差下限（%）
     * @param outdOrdMin value
     */
    public void setOutdOrdMin(String outdOrdMin) {
        this.outdOrdMin = outdOrdMin;
    }

    /**
     * 交货标准外径公差上限（%）
     * @return value
     */
    public String getOutdOrdMax() {
        return outdOrdMax;
    }

    /**
     * 交货标准外径公差上限（%）
     * @param outdOrdMax value
     */
    public void setOutdOrdMax(String outdOrdMax) {
        this.outdOrdMax = outdOrdMax;
    }

    /**
     * 推荐长度描述
     * @return value
     */
    public String getLengthdiscN() {
        return lengthdiscN;
    }

    /**
     * 推荐长度描述
     * @param lengthdiscN value
     */
    public void setLengthdiscN(String lengthdiscN) {
        this.lengthdiscN = lengthdiscN;
    }

    /**
     * 推荐长度编码
     * @return value
     */
    public String getLenNoN() {
        return lenNoN;
    }

    /**
     * 推荐长度编码
     * @param lenNoN value
     */
    public void setLenNoN(String lenNoN) {
        this.lenNoN = lenNoN;
    }
}
